package at.bestsolution.cef;

public class ScreenInfo {
    public final float deviceScaleFactor;

    public final int colorDepth;
    public final int colorDepthPerComponent;

    public final boolean isMonochrome;

    public final Rectangle rect;
    public final Rectangle availableRect;

    public ScreenInfo(Rectangle rect) {
        this(1.0f, 24, 8, false, rect, rect);
    }

    public ScreenInfo(float deviceScaleFactor, int colorDepth, int colorDepthPerComponent, boolean isMonochrome, Rectangle rect, Rectangle availablRect) {
        this.deviceScaleFactor = deviceScaleFactor;
        this.colorDepth = colorDepth;
        this.colorDepthPerComponent = colorDepthPerComponent;
        this.isMonochrome = isMonochrome;
        this.rect = rect;
        this.availableRect = availablRect;
    }

}
